Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 11277 - exports option nohide conflicts with kernel
exports option nohide conflicts with kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-07 08:31 EDT by stano
Modified: 2007-04-18 12:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 16:56:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stano 2000-05-07 08:31:38 EDT
The /etc/exports option "nohide" conflicts with kernel's "crossmnt",
exported through /proc/fs/nfs/exports

# cat /etc/exports:
/      foo(rw,nohide)
# exportfs -a
exportfs: Unknown keyword "crossmnt" in export file
# cat /proc/fs/nfs/exports
# Version 1.0
# Path Client(Flags) # IPs
/       foo(rw,root_squash,async,wdelay,crossmnt) # 192.168.1.2

and the nohide option is not in effect

RH 6.2 with self-compiled kernel 2.2.15pre19 and nfs-utils 0.1.6-2
Comment 1 Cristian Gafton 2000-08-08 22:34:48 EDT
assigned to johnsonm

Note You need to log in before you can comment on or make changes to this bug.